/*
 * STRING.H
 */

typedef unsigned size_t;

#define	NULL 0

char *strcpy(char *dest,const char *source);

char *strncpy(char *dest,const char *source,size_t nbytes);

char *strcat(char *dest,const char *source);

char *strncat(char *dest,const char *source,size_t nbytes);

char *strcmp(char *dest,const char *source);

char *strncmp(char *dest,const char *source,size_t nbytes);

char *strchr(const char *cs,int c);

char *strrchr(const char *cs,int c);

size_t strspn(const char *cs,const char *pattern);

size_t strcspn(const char *cs,const char *pattern);

char *strpbrk(const char *cs,const char *pattern);

char *strstr(const char *cs,const char *pattern);

size_t strlen(const char *cs);

char *strerror(size_t number);

char *strtok(char *s,const char *ct);

void *memcpy(void *dest,const void *source,size_t nbytes);

void *memmove(void *dest,const void *source,size_t nbytes);

int memcmp(const void *cs,const void *ct,size_t nbytes);

void *memchr(const void cs,int c,size_t n);

void *memset(void *s,int c,size_t nrepeat);
